## org.apache.commons.collections.bidimap
Class AbstractDualBidiMap.BidiMapIterator

    java.lang.Object
      org.apache.commons.collections.bidimap.AbstractDualBidiMap.BidiMapIterator

All Implemented Interfaces:
  java.util.Iterator, MapIterator, ResettableIterator

Enclosing class:
  AbstractDualBidiMap

    protected static class AbstractDualBidiMap.BidiMapIterator

extends java.lang.Object
implements MapIterator, ResettableIterator

Inner class MapIterator.

Field Summary
`protected boolean` `canRemove` Whether remove is allowed at present
`protected java.util.Iterator` `iterator` The iterator being wrapped
`protected java.util.Map.Entry` `last` The last returned entry
`protected AbstractDualBidiMap` `parent` The parent map

Constructor Summary
`protected` `AbstractDualBidiMap.BidiMapIterator(AbstractDualBidiMap parent)` Constructor.

Method Summary
`java.lang.Object` `getKey()` Gets the current key, which is the key returned by the last call to `next()`.
`java.lang.Object` `getValue()` Gets the current value, which is the value associated with the last key returned by `next()`.
`boolean` `hasNext()` Checks to see if there are more entries still to be iterated.
`java.lang.Object` `next()` Gets the next key from the `Map`.
`void` `remove()` Removes the last returned key from the underlying `Map` (optional operation).
`void` `reset()` Resets the iterator back to the position at which the iterator was created.
`java.lang.Object` `setValue(java.lang.Object value)` Sets the value associated with the current key (optional operation).
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### parent

    protected final AbstractDualBidiMap parent

  The parent map

### iterator

    protected java.util.Iterator iterator

  The iterator being wrapped

### last

    protected java.util.Map.Entry last

  The last returned entry

### canRemove

    protected boolean canRemove

  Whether remove is allowed at present

Constructor Detail

### AbstractDualBidiMap.BidiMapIterator

    protected AbstractDualBidiMap.BidiMapIterator(AbstractDualBidiMap parent)

  Constructor.

  Parameters:
    `parent` - the parent map

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from interface: `MapIterator`
  Checks to see if there are more entries still to be iterated.

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Specified by:
    `hasNext` in interface `MapIterator`
  Returns:
    `true` if the iterator has more elements

### next

    public java.lang.Object next()

  Description copied from interface: `MapIterator`
  Gets the next key from the `Map`.

  Specified by:
    `next` in interface `java.util.Iterator`
  Specified by:
    `next` in interface `MapIterator`
  Returns:
    the next key in the iteration

### remove

    public void remove()

  Description copied from interface: `MapIterator`
  Removes the last returned key from the underlying `Map` (optional operation).

  This method can be called once per call to `next()`.

  Specified by:
    `remove` in interface `java.util.Iterator`
  Specified by:
    `remove` in interface `MapIterator`

### getKey

    public java.lang.Object getKey()

  Description copied from interface: `MapIterator`
  Gets the current key, which is the key returned by the last call to `next()`.

  Specified by:
    `getKey` in interface `MapIterator`
  Returns:
    the current key

### getValue

    public java.lang.Object getValue()

  Description copied from interface: `MapIterator`
  Gets the current value, which is the value associated with the last key returned by `next()`.

  Specified by:
    `getValue` in interface `MapIterator`
  Returns:
    the current value

### setValue

    public java.lang.Object setValue(java.lang.Object value)

  Description copied from interface: `MapIterator`
  Sets the value associated with the current key (optional operation).

  Specified by:
    `setValue` in interface `MapIterator`
  Parameters:
    `value` - the new value
  Returns:
    the previous value

### reset

    public void reset()

  Description copied from interface: `ResettableIterator`
  Resets the iterator back to the position at which the iterator was created.

  Specified by:
    `reset` in interface `ResettableIterator`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.